Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#26 Le 21/11/2021, à 19:46

cqfd93

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

sudo fuser -v /var/cache/debconf/config.dat

cqfd93

Hors ligne

#27 Le 24/11/2021, à 16:54

bzh-utilisateur

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

Désolé de ne pas avoir répondu plus tôt.

Voilà la réponse de

dpkg -l | grep -v ^ii

après

sudo fuser -v /var/cache/debconf/config.dat

:

dpkg -l | grep -v ^ii
Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom                                        Version                               Architecture Description
+++-==========================================-=====================================-============-======================================================================================================
rH  opera-stable                               81.0.4196.54                          amd64        Fast, secure, easy-to-use web browser

Dernière modification par bzh-utilisateur (Le 24/11/2021, à 16:55)

Hors ligne

#28 Le 24/11/2021, à 17:26

cqfd93

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

Mais que donne

sudo fuser -v /var/cache/debconf/config.dat

???


cqfd93

Hors ligne

#29 Le 24/11/2021, à 20:53

bzh-utilisateur

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

Rien. Je pensais que c’était normal, donc je l'avais pas mis....

Hors ligne

#30 Le 24/11/2021, à 22:25

cqfd93

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

Si ça donne rien, y'a plus de blocage ??? Pourtant opera-stable est toujours là, bancal…


cqfd93

Hors ligne

#31 Le 24/11/2021, à 22:30

xubu1957

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

Bonjour,

@cqfd93

Au #3 :

/etc/apt/sources.list.d/opera-stable.list

     1	# This file makes sure that Opera Browser is kept up-to-date
     2	# as part of regular system upgrades
     3	
     4	deb https://deb.opera.com/opera-stable/ stable non-free #Opera Browser (final releases)

....

    58	# deb https://deb.opera.com/opera-stable/ stable non-free
    59	# deb-src https://deb.opera.com/opera-stable/ stable non-free
    60	

Il a été installé deux fois ?


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#32 Le 24/11/2021, à 22:47

cqfd93

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

Salut xubu1957,

Dans les lignes 58 et 59, il est commenté, c'est pas propre mais ça ne gêne pas smile


cqfd93

Hors ligne

#33 Le 24/11/2021, à 22:52

xubu1957

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

On ne peut pas utiliser une commande de ce genre ?

Rajout :

sudo dpkg --remove --force-remove-reinstreq opera-stable

Dernière modification par xubu1957 (Le 24/11/2021, à 23:24)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#34 Le 26/11/2021, à 22:17

bzh-utilisateur

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

sudo dpkg --remove --force-remove-reinstreq opera-stable
(Lecture de la base de données... 311404 fichiers et répertoires déjà installés.)
Suppression de opera-stable (81.0.4196.54) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: erreur de traitement du paquet opera-stable (--remove) :
 installed opera-stable package post-removal script subprocess returned error exit status 1
Des erreurs ont été rencontrées pendant l'exécution :
 opera-stable

Il semblerait en effet qu'il soit toujours là. Zut ! Je pensais l'avoir purgé !

Hors ligne

#35 Le 26/11/2021, à 22:36

ylag

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

Bonsoir,

Sous toute réserve, peut-être essayer de cette façon :

sudo mv /var/lib/dpkg/info/opera-stable.* /tmp/
sudo dpkg --remove --force-remove-reinstreq opera-stable

...si ça fonctionne, faire suivre de :

sudo apt -f install

Source : Problèmes apt

A+

Hors ligne

#36 Le 30/11/2021, à 18:29

bzh-utilisateur

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

sudo dpkg --remove --force-remove-reinstreq opera-stable
dpkg: avertissement: le fichier contenant la liste des fichiers du paquet « opera-stable » étant manquant, il est considéré qu'aucun fichier du paquet n'est actuellement installé
(Lecture de la base de données... 311404 fichiers et répertoires déjà installés.)
Suppression de opera-stable (81.0.4196.54) ...

Hors ligne

#37 Le 30/11/2021, à 18:39

bzh-utilisateur

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

J'ai aussi eu de nouvelles erreurs lors de mise à jour, si cela peut vous aider à régler mon problème :

sudo apt full-upgrade

[...]

Préparation du dépaquetage de .../04-virtualbox-6.1_6.1.30-148432~Ubuntu~eoan_amd64.deb ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource
 temporarily unavailable
dpkg: avertissement: old virtualbox-6.1 package pre-removal script subprocess returned error exi
t status 1
dpkg: tentative d'exécution du script du nouveau paquet à la place...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource
 temporarily unavailable
dpkg: erreur de traitement de l'archive /tmp/apt-dpkg-install-UMULSr/04-virtualbox-6.1_6.1.30-14
8432~Ubuntu~eoan_amd64.deb (--unpack) :
 new virtualbox-6.1 package pre-removal script subprocess returned error exit status 1
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource
 temporarily unavailable
vboxdrv.sh: failed: modprobe vboxdrv failed. Please use 'dmesg' to find out why.

There were problems setting up VirtualBox.  To re-start the set-up process, run
  /sbin/vboxconfig
as root.  If your system is using EFI Secure Boot you may need to sign the
kernel modules (vboxdrv, vboxnetflt, vboxnetadp, vboxpci) before you can load
them. Please see your Linux system's documentation for more information.

[...]

Des erreurs ont été rencontrées pendant l'exécution :
 /tmp/apt-dpkg-install-UMULSr/04-virtualbox-6.1_6.1.30-148432~Ubuntu~eoan_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Les "[...]" signifies qu'il y a du code entre les parties, mais elle n'a rien à voir et/ou n'affiche pas d'erreurs.


Cette fois-ci ce n'est pas oracle qui ne va pas, mais virtualbox...je ne sais pas si ça à voir, qu'en pensez-vous ?

Hors ligne

#38 Le 07/12/2021, à 07:30

bzh-utilisateur

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

Si certaines personnes suivent encore mon problème, j'ai eu une erreur lors de ma dernière mise à jour ;

sudo apt full-upgrade
E: dpkg a été interrompu. Il est nécessaire d'utiliser « sudo dpkg --configure -a » pour corriger le problème.

j'ai donc fait :

sudo dpkg --configure -a
Paramétrage de libgs9-common (9.50~dfsg-5ubuntu4.4) ...
Paramétrage de libgs9:amd64 (9.50~dfsg-5ubuntu4.4) ...
Paramétrage de wget (1.20.3-1ubuntu2) ...
Paramétrage de linux-headers-5.4.0-91 (5.4.0-91.102) ...
Paramétrage de libicu66:amd64 (66.1-2ubuntu2.1) ...
Paramétrage de libuno-sal3 (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de linux-libc-dev:amd64 (5.4.0-91.102) ...
Paramétrage de libreoffice-style-tango (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de ghostscript (9.50~dfsg-5ubuntu4.4) ...
Paramétrage de libwinpr2-2:amd64 (2.2.0+dfsg1-0ubuntu0.20.04.2) ...
Paramétrage de libwbclient0:amd64 (2:4.13.14+dfsg-0ubuntu0.20.04.2) ...
Paramétrage de bluez-obexd (5.53-0ubuntu3.4) ...
Paramétrage de bluez (5.53-0ubuntu3.4) ...
Paramétrage de libreoffice-style-colibre (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libreoffice-style-breeze (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de bluez-cups (5.53-0ubuntu3.4) ...
Paramétrage de libbluetooth3:amd64 (5.53-0ubuntu3.4) ...
Paramétrage de linux-headers-5.4.0-91-generic (5.4.0-91.102) ...
/etc/kernel/header_postinst.d/dkms:
 * dkms: running auto installation service for kernel 5.4.0-91-generic

Kernel preparation unnecessary for this kernel.  Skipping...

Building module:
cleaning build area...
make -j8 KERNELRELEASE=5.4.0-91-generic -C /lib/modules/5.4.0-91-generic/build M=/var/lib/dkms/virtualbox/6.1.26/build.........
Signing module:
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
 - /var/lib/dkms/virtualbox/6.1.26/5.4.0-91-generic/x86_64/module/vboxnetflt.ko
 - /var/lib/dkms/virtualbox/6.1.26/5.4.0-91-generic/x86_64/module/vboxdrv.ko
 - /var/lib/dkms/virtualbox/6.1.26/5.4.0-91-generic/x86_64/module/vboxnetadp.ko
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
cleaning build area...

DKMS: build completed.

vboxdrv.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.4.0-91-generic/updates/dkms/

vboxnetadp.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.4.0-91-generic/updates/dkms/

vboxnetflt.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.4.0-91-generic/updates/dkms/

depmod........

DKMS: install completed.
   ...done.
Paramétrage de libunoloader-java (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de linux-hwe-5.11-headers-5.11.0-41 (5.11.0-41.45~20.04.1) ...
Paramétrage de libridl-java (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de fonts-opensymbol (2:102.11+LibO6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de linux-modules-5.4.0-91-generic (5.4.0-91.102) ...
dpkg: erreur de traitement du paquet virtualbox-6.1 (--configure) :
 le paquet est dans un état vraiment incohérent; vous devriez
 le réinstaller avant de tenter de le configurer.
Paramétrage de libreoffice-style-elementary (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libfreerdp2-2:amd64 (2.2.0+dfsg1-0ubuntu0.20.04.2) ...
Paramétrage de samba-libs:amd64 (2:4.13.14+dfsg-0ubuntu0.20.04.2) ...
Paramétrage de ghostscript-x (9.50~dfsg-5ubuntu4.4) ...
Paramétrage de linux-headers-generic (5.4.0.91.95) ...
Paramétrage de linux-headers-5.11.0-41-generic (5.11.0-41.45~20.04.1) ...
/etc/kernel/header_postinst.d/dkms:
 * dkms: running auto installation service for kernel 5.11.0-41-generic

Kernel preparation unnecessary for this kernel.  Skipping...

Building module:
cleaning build area...
make -j8 KERNELRELEASE=5.11.0-41-generic -C /lib/modules/5.11.0-41-generic/build M=/var/lib/dkms/virtualbox/6.1.26/build..........
Signing module:
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
 - /var/lib/dkms/virtualbox/6.1.26/5.11.0-41-generic/x86_64/module/vboxnetflt.ko
 - /var/lib/dkms/virtualbox/6.1.26/5.11.0-41-generic/x86_64/module/vboxdrv.ko
 - /var/lib/dkms/virtualbox/6.1.26/5.11.0-41-generic/x86_64/module/vboxnetadp.ko
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
cleaning build area...

DKMS: build completed.

vboxdrv.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.11.0-41-generic/updates/dkms/

vboxnetadp.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.11.0-41-generic/updates/dkms/

vboxnetflt.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.11.0-41-generic/updates/dkms/

depmod.........

DKMS: install completed.
   ...done.
Paramétrage de libsmbclient:amd64 (2:4.13.14+dfsg-0ubuntu0.20.04.2) ...
Paramétrage de linux-image-5.4.0-91-generic (5.4.0-91.102) ...
I: /boot/vmlinuz.old is now a symlink to vmlinuz-5.11.0-40-generic
I: /boot/initrd.img.old is now a symlink to initrd.img-5.11.0-40-generic
I: /boot/vmlinuz is now a symlink to vmlinuz-5.4.0-91-generic
I: /boot/initrd.img is now a symlink to initrd.img-5.4.0-91-generic
Paramétrage de libfreerdp-client2-2:amd64 (2.2.0+dfsg1-0ubuntu0.20.04.2) ...
Paramétrage de linux-modules-extra-5.4.0-91-generic (5.4.0-91.102) ...
Paramétrage de linux-headers-generic-hwe-20.04 (5.11.0.41.45~20.04.19) ...
Paramétrage de linux-image-generic (5.4.0.91.95) ...
Paramétrage de linux-generic (5.4.0.91.95) ...
Paramétrage de linux-image-5.11.0-41-generic (5.11.0-41.45~20.04.1) ...
I: /boot/vmlinuz.old is now a symlink to vmlinuz-5.4.0-91-generic
I: /boot/vmlinuz is now a symlink to vmlinuz-5.11.0-41-generic
I: /boot/initrd.img is now a symlink to initrd.img-5.11.0-41-generic
Paramétrage de linux-modules-extra-5.11.0-41-generic (5.11.0-41.45~20.04.1) ...
Paramétrage de libuno-salhelpergcc3-3 (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de linux-modules-5.11.0-41-generic (5.11.0-41.45~20.04.1) ...
Paramétrage de linux-image-generic-hwe-20.04 (5.11.0.41.45~20.04.19) ...
Paramétrage de libuno-cppu3 (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de linux-generic-hwe-20.04 (5.11.0.41.45~20.04.19) ...
Paramétrage de libuno-purpenvhelpergcc3-3 (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de uno-libs-private (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libuno-cppuhelpergcc3-3 (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de ure (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libjurt-java (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libreoffice-common (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libjuh-java (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libreoffice-core (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libreoffice-math (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libreoffice-gtk3 (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libreoffice-pdfimport (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libreoffice-l10n-fr (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libreoffice-draw (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libreoffice-help-common (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libreoffice-gnome (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libreoffice-impress (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libreoffice-base-core (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libreoffice-help-en-us (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de python3-uno (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libreoffice-ogltrans (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libreoffice-help-fr (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libreoffice-calc (1:6.4.7-0ubuntu0.20.04.2) ...
Paramétrage de libreoffice-writer (1:6.4.7-0ubuntu0.20.04.2) ...
Traitement des actions différées (« triggers ») pour mime-support (3.64ubuntu1) ...
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.17-2) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.36.0-1ubuntu1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.31-0ubuntu9.2) ...
Traitement des actions différées (« triggers ») pour systemd (245.4-4ubuntu3.13) ...
Traitement des actions différées (« triggers ») pour man-db (2.9.1-1) ...
Traitement des actions différées (« triggers ») pour dbus (1.12.16-2ubuntu2.1) ...
Traitement des actions différées (« triggers ») pour shared-mime-info (1.15-1) ...
Traitement des actions différées (« triggers ») pour install-info (6.7.0.dfsg.2-5) ...
Traitement des actions différées (« triggers ») pour fontconfig (2.13.1-2ubuntu3) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.24-1ubuntu3) ...
Traitement des actions différées (« triggers ») pour linux-image-5.4.0-91-generic (5.4.0-91.102) ...
/etc/kernel/postinst.d/dkms:
 * dkms: running auto installation service for kernel 5.4.0-91-generic
   ...done.
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.4.0-91-generic
I: The initramfs will attempt to resume from /dev/sdc2
I: (UUID=905ab598-1053-4e92-9f2b-c6fbb2258aa4)
I: Set the RESUME variable to override this.
/etc/kernel/postinst.d/zz-update-grub:
Sourcing file `/etc/default/grub'
Sourcing file `/etc/default/grub.d/init-select.cfg'
Création du fichier de configuration GRUB…
Image Linux trouvée : /boot/vmlinuz-5.11.0-41-generic
Image Linux trouvée : /boot/vmlinuz-5.11.0-40-generic
Image mémoire initiale trouvée : /boot/initrd.img-5.11.0-40-generic
Image Linux trouvée : /boot/vmlinuz-5.11.0-38-generic
Image mémoire initiale trouvée : /boot/initrd.img-5.11.0-38-generic
Image Linux trouvée : /boot/vmlinuz-5.11.0-37-generic
Image mémoire initiale trouvée : /boot/initrd.img-5.11.0-37-generic
Image Linux trouvée : /boot/vmlinuz-5.4.0-91-generic
Image mémoire initiale trouvée : /boot/initrd.img-5.4.0-91-generic
Image Linux trouvée : /boot/vmlinuz-5.4.0-90-generic
Image mémoire initiale trouvée : /boot/initrd.img-5.4.0-90-generic
Image Linux trouvée : /boot/vmlinuz-5.4.0-89-generic
Image mémoire initiale trouvée : /boot/initrd.img-5.4.0-89-generic
Image Linux trouvée : /boot/vmlinuz-5.4.0-65-generic
Image mémoire initiale trouvée : /boot/initrd.img-5.4.0-65-generic
Image Linux trouvée : /boot/vmlinuz-5.4.0-58-generic
Image mémoire initiale trouvée : /boot/initrd.img-5.4.0-58-generic
Windows Boot Manager trouvé sur /dev/sda1@/EFI/Microsoft/Boot/bootmgfw.efi
Adding boot menu entry for UEFI Firmware Settings
fait
Traitement des actions différées (« triggers ») pour linux-image-5.11.0-41-generic (5.11.0-41.45~20.04.1) ...
/etc/kernel/postinst.d/dkms:
 * dkms: running auto installation service for kernel 5.11.0-41-generic
   ...done.
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.11.0-41-generic
I: The initramfs will attempt to resume from /dev/sdc2
I: (UUID=905ab598-1053-4e92-9f2b-c6fbb2258aa4)
I: Set the RESUME variable to override this.
/etc/kernel/postinst.d/zz-update-grub:
Sourcing file `/etc/default/grub'
Sourcing file `/etc/default/grub.d/init-select.cfg'
Création du fichier de configuration GRUB…
Image Linux trouvée : /boot/vmlinuz-5.11.0-41-generic
Image mémoire initiale trouvée : /boot/initrd.img-5.11.0-41-generic
Image Linux trouvée : /boot/vmlinuz-5.11.0-40-generic
Image mémoire initiale trouvée : /boot/initrd.img-5.11.0-40-generic
Image Linux trouvée : /boot/vmlinuz-5.11.0-38-generic
Image mémoire initiale trouvée : /boot/initrd.img-5.11.0-38-generic
Image Linux trouvée : /boot/vmlinuz-5.11.0-37-generic
Image mémoire initiale trouvée : /boot/initrd.img-5.11.0-37-generic
Image Linux trouvée : /boot/vmlinuz-5.4.0-91-generic
Image mémoire initiale trouvée : /boot/initrd.img-5.4.0-91-generic
Image Linux trouvée : /boot/vmlinuz-5.4.0-90-generic
Image mémoire initiale trouvée : /boot/initrd.img-5.4.0-90-generic
Image Linux trouvée : /boot/vmlinuz-5.4.0-89-generic
Image mémoire initiale trouvée : /boot/initrd.img-5.4.0-89-generic
Image Linux trouvée : /boot/vmlinuz-5.4.0-65-generic
Image mémoire initiale trouvée : /boot/initrd.img-5.4.0-65-generic
Image Linux trouvée : /boot/vmlinuz-5.4.0-58-generic
Image mémoire initiale trouvée : /boot/initrd.img-5.4.0-58-generic
Windows Boot Manager trouvé sur /dev/sda1@/EFI/Microsoft/Boot/bootmgfw.efi
Adding boot menu entry for UEFI Firmware Settings
fait
Des erreurs ont été rencontrées pendant l'exécution :
 virtualbox-6.1

Et encore une erreur avec virtualbox !

J'aimerais aussi savoir, si vous avez des idées, pourquoi mon shell m'a dit de lancer cette commande et ce qu'elle a fait.

Hors ligne

#39 Le 07/12/2021, à 07:49

xubu1957

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

Bonjour,

Montre les retours complets de :

sudo apt update
sudo apt full-upgrade
Le 29/03/2018, moko138 a écrit :

Un retour complet doit contenir toutes les lignes,
depuis celle, entière, de la commande
jusqu'à la ligne attendant la commande suivante
, exemple :

moi@mon-pc~$: ma-commande
son retour
moi@mon-pc~$:

Faute de quoi, il manque souvent à ceux qui tentent de t'aider des éléments essentiels.

(Plus de détails dans ce message-ci Retour utilisable de commande.)

Et si tu ne veux pas divulguer ton nom d'user, tu le remplaces par "toto" ou ce que tu veux.


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#40 Le 07/12/2021, à 16:17

bzh-utilisateur

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

sudo apt update
Réception de :1 http://security.ubuntu.com/ubuntu focal-security InRelease [114 kB]
Atteint :2 http://fr.archive.ubuntu.com/ubuntu focal InRelease                 
Atteint :3 https://download.virtualbox.org/virtualbox/debian focal InRelease   
Réception de :4 http://fr.archive.ubuntu.com/ubuntu focal-updates InRelease [114 kB]
Réception de :5 https://deb.opera.com/opera-stable stable InRelease [2590 B]  
Réception de :6 http://fr.archive.ubuntu.com/ubuntu focal-backports InRelease [108 kB]
Réception de :7 http://security.ubuntu.com/ubuntu focal-security/main amd64 Packages [1064 kB]
Réception de :8 http://security.ubuntu.com/ubuntu focal-security/main i386 Packages [344 kB]
Réception de :9 http://fr.archive.ubuntu.com/ubuntu focal-updates/main i386 Packages [571 kB]
Réception de :10 http://security.ubuntu.com/ubuntu focal-security/main Translation-en [196 kB]
Réception de :11 http://security.ubuntu.com/ubuntu focal-security/main amd64 DEP-11 Metadata [35,6 kB]
Réception de :12 http://security.ubuntu.com/ubuntu focal-security/main amd64 c-n-f Metadata [9080 B]
Réception de :13 http://security.ubuntu.com/ubuntu focal-security/universe amd64 Packages [663 kB]
Réception de :14 http://security.ubuntu.com/ubuntu focal-security/universe i386 Packages [520 kB]
Réception de :15 http://security.ubuntu.com/ubuntu focal-security/universe amd64 DEP-11 Metadata [64,7 kB]
Réception de :16 http://security.ubuntu.com/ubuntu focal-security/universe amd64 c-n-f Metadata [12,9 kB]
Réception de :17 http://security.ubuntu.com/ubuntu focal-security/multiverse amd64 DEP-11 Metadata [2464 B]
Réception de :18 http://fr.archive.ubuntu.com/ubuntu focal-updates/main amd64 Packages [1388 kB]
Réception de :19 http://fr.archive.ubuntu.com/ubuntu focal-updates/main amd64 DEP-11 Metadata [278 kB]
Réception de :20 http://fr.archive.ubuntu.com/ubuntu focal-updates/universe amd64 Packages [877 kB]
Réception de :21 http://fr.archive.ubuntu.com/ubuntu focal-updates/universe i386 Packages [649 kB]
Réception de :22 http://fr.archive.ubuntu.com/ubuntu focal-updates/universe amd64 DEP-11 Metadata [362 kB]
Réception de :23 http://fr.archive.ubuntu.com/ubuntu focal-updates/multiverse amd64 DEP-11 Metadata [940 B]
Réception de :24 http://fr.archive.ubuntu.com/ubuntu focal-backports/main amd64 DEP-11 Metadata [7964 B]
Réception de :25 http://fr.archive.ubuntu.com/ubuntu focal-backports/universe amd64 DEP-11 Metadata [11,3 kB]
7394 ko réceptionnés en 3s (2405 ko/s)                               
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
3 paquets peuvent être mis à jour. Exécutez « apt list --upgradable » pour les voir.
sudo apt full-upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants seront mis à jour :
  busybox-initramfs busybox-static virtualbox-6.1
3 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
20 partiellement installés ou enlevés.
2 standard security updates
Il est nécessaire de prendre 1119 ko/94,5 Mo dans les archives.
Après cette opération, 25,6 ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Réception de :1 http://security.ubuntu.com/ubuntu focal-security/main amd64 busybox-static amd64 1:1.30.1-4ubuntu6.4 [949 kB]
Réception de :2 http://security.ubuntu.com/ubuntu focal-security/main amd64 busybox-initramfs amd64 1:1.30.1-4ubuntu6.4 [169 kB]
1119 ko réceptionnés en 1s (1292 ko/s)     
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
(Lecture de la base de données... 314067 fichiers et répertoires déjà installés.
)
Préparation du dépaquetage de .../virtualbox-6.1_6.1.30-148432~Ubuntu~eoan_amd64
.deb ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another p
rocess: Resource temporarily unavailable
dpkg: avertissement: old virtualbox-6.1 package pre-removal script subprocess re
turned error exit status 1
dpkg: tentative d'exécution du script du nouveau paquet à la place...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another p
rocess: Resource temporarily unavailable
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/virtualbox-6.1_6
.1.30-148432~Ubuntu~eoan_amd64.deb (--unpack) :
 new virtualbox-6.1 package pre-removal script subprocess returned error exit st
atus 1
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another p
rocess: Resource temporarily unavailable
vboxdrv.sh: failed: modprobe vboxdrv failed. Please use 'dmesg' to find out why.

There were problems setting up VirtualBox.  To re-start the set-up process, run
  /sbin/vboxconfig
as root.  If your system is using EFI Secure Boot you may need to sign the
kernel modules (vboxdrv, vboxnetflt, vboxnetadp, vboxpci) before you can load
them. Please see your Linux system's documentation for more information.
Préparation du dépaquetage de .../busybox-static_1%3a1.30.1-4ubuntu6.4_amd64.deb
 ...
Dépaquetage de busybox-static (1:1.30.1-4ubuntu6.4) sur (1:1.30.1-4ubuntu6.3) ..
.
Préparation du dépaquetage de .../busybox-initramfs_1%3a1.30.1-4ubuntu6.4_amd64.
deb ...
Dépaquetage de busybox-initramfs (1:1.30.1-4ubuntu6.4) sur (1:1.30.1-4ubuntu6.3)
 ...
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/virtualbox-6.1_6.1.30-148432~Ubuntu~eoan_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Hors ligne

#41 Le 07/12/2021, à 16:46

xubu1957

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

 /var/cache/apt/archives/virtualbox-6.1_6.1.30-148432~Ubuntu~eoan_amd64.deb

Tu as une version eoan périmée sur la 20.04 focal.

Et je ne sais pas aider en matière de virtualisation. ¯\_(ツ)_/¯


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#42 Le 08/12/2021, à 09:21

bzh-utilisateur

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

Faut-il que je lance une nouvelle discutions dans une autre rubrique (virtualisation par exemple) ?

Hors ligne

#43 Le 08/12/2021, à 17:35

cqfd93

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

Bonjour,

bzh-utilisateur a écrit :

Faut-il que je lance une nouvelle discutions dans une autre rubrique (virtualisation par exemple) ?

Non.

Il faut supprimer le dépôt utilisé pour installer virtualbox et réinstaller le .deb qui peut être téléchargé sur le site officiel d'oracle, ça donnera la même version.Montre les sources de logiciels en donnant le retour complet (tous tes retours jusqu'à maintenant sont incomplets) de :

find /etc/apt -name '*.list' -exec bash -c 'echo -e "\n$1\n"; nl -ba "$1"' _ '{}' \;

Un retour complet doit contenir toutes les lignes depuis celle de la commande jusqu'à la ligne attendant la commande suivante, exemple :

moi@lenovo:~$ uname -a
Linux moi-lenovo 4.4.0-97-generic #120-Ubuntu SMP Tue Sep 19 17:28:18 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
moi@lenovo:~$

Et tu peux télécharger virtualbox


cqfd93

Hors ligne

#44 Le 11/12/2021, à 17:53

bzh-utilisateur

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

guillaume@guillaume-pc:~$ find /etc/apt -name '*.list' -exec bash -c 'echo -e "\n$1\n"; nl -ba "$1"' _ '{}' \;

/etc/apt/sources.list.d/opera-stable.list

     1	# This file makes sure that Opera Browser is kept up-to-date
     2	# as part of regular system upgrades
     3	
     4	deb https://deb.opera.com/opera-stable/ stable non-free #Opera Browser (final releases)

/etc/apt/sources.list.d/virtualbox.list

     1	deb [arch=amd64] https://download.virtualbox.org/virtualbox/debian focal contrib

/etc/apt/sources.list

     1	# deb cdrom:[Ubuntu 20.04.2.0 LTS _Focal Fossa_ - Release amd64 (20210209.1)]/ focal main restricted
     2	
     3	# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
     4	# newer versions of the distribution.
     5	deb http://fr.archive.ubuntu.com/ubuntu/ focal main restricted
     6	# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal main restricted
     7	
     8	## Major bug fix updates produced after the final release of the
     9	## distribution.
    10	deb http://fr.archive.ubuntu.com/ubuntu/ focal-updates main restricted
    11	# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal-updates main restricted
    12	
    13	## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    14	## team. Also, please note that software in universe WILL NOT receive any
    15	## review or updates from the Ubuntu security team.
    16	deb http://fr.archive.ubuntu.com/ubuntu/ focal universe
    17	# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal universe
    18	deb http://fr.archive.ubuntu.com/ubuntu/ focal-updates universe
    19	# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal-updates universe
    20	
    21	## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
    22	## team, and may not be under a free licence. Please satisfy yourself as to 
    23	## your rights to use the software. Also, please note that software in 
    24	## multiverse WILL NOT receive any review or updates from the Ubuntu
    25	## security team.
    26	deb http://fr.archive.ubuntu.com/ubuntu/ focal multiverse
    27	# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal multiverse
    28	deb http://fr.archive.ubuntu.com/ubuntu/ focal-updates multiverse
    29	# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal-updates multiverse
    30	
    31	## N.B. software from this repository may not have been tested as
    32	## extensively as that contained in the main release, although it includes
    33	## newer versions of some applications which may provide useful features.
    34	## Also, please note that software in backports WILL NOT receive any review
    35	## or updates from the Ubuntu security team.
    36	deb http://fr.archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse
    37	# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse
    38	
    39	## Uncomment the following two lines to add software from Canonical's
    40	## 'partner' repository.
    41	## This software is not part of Ubuntu, but is offered by Canonical and the
    42	## respective vendors as a service to Ubuntu users.
    43	# deb http://archive.canonical.com/ubuntu focal partner
    44	# deb-src http://archive.canonical.com/ubuntu focal partner
    45	
    46	deb http://security.ubuntu.com/ubuntu focal-security main restricted
    47	# deb-src http://security.ubuntu.com/ubuntu focal-security main restricted
    48	deb http://security.ubuntu.com/ubuntu focal-security universe
    49	# deb-src http://security.ubuntu.com/ubuntu focal-security universe
    50	deb http://security.ubuntu.com/ubuntu focal-security multiverse
    51	# deb-src http://security.ubuntu.com/ubuntu focal-security multiverse
    52	
    53	# This system was installed using small removable media
    54	# (e.g. netinst, live or single CD). The matching "deb cdrom"
    55	# entries were disabled at the end of the installation process.
    56	# For information about how to configure apt package sources,
    57	# see the sources.list(5) manual.
    58	# deb https://deb.opera.com/opera-stable/ stable non-free
    59	# deb-src https://deb.opera.com/opera-stable/ stable non-free
    60
guillaume@guillaume-pc:~$

Dernière modification par bzh-utilisateur (Le 11/12/2021, à 17:58)

Hors ligne

#45 Le 11/12/2021, à 17:59

bzh-utilisateur

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

Ça change quoi si mon retour ne comporte pas les lignes avec le nom de l'utilisateur ?

J'aimerais aussi savoir si je dois désinstaller ma version de Virtualbox avant de télécharger une nouvelle version. De plus, est-ce qu'il y a des modifications à faire dans des fichiers de configurations particuliers avant l'installation.

Autres information : je suis en dual-boot windows/ubuntu avec chaques OS sur un disque dur à part et le secure boot activé en temps normal.

Dernière modification par bzh-utilisateur (Le 11/12/2021, à 18:03)

Hors ligne

#46 Le 11/12/2021, à 18:02

iznobe

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

Bonjour , deja la 1er chose evidente , c ' est qu on ne sait pas avec quel utilisateur tu as passé la commande et a quel retour on doit s' attendre donc , mais aussi on ne sait pas comment te donner les prochaines commandes vu que tu peux tres bien etre en utilisateur root et que du coup si on met sudo , ca fait tou foiré ... voire planté la commande si on ne le met pas ... bref il faut qu on sache sinon rien ne vas plus .

admetons que guillaume et julie soit 2 utilisateurs de ton ordi , si tu es avec l' utilisateur julie et qu ' on veut te faire ecrire dans le repertoir telechargement de guillaume , on ne te donnera pas la meme commande que si c' etait dans le repertoire de julie .

Dernière modification par iznobe (Le 11/12/2021, à 18:06)


retour utilisable de commande
MSI Z490A-pro , i7 10700 , 32 GB RAM . avec Ubuntu , LM et W$10

Hors ligne

#47 Le 11/12/2021, à 18:04

bzh-utilisateur

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

Merci, mais pour information, vous ne pouviez pas le savoir, je ne travail JAMAIS en root sauf si je ne peut pas faire autrement.

Dernière modification par bzh-utilisateur (Le 11/12/2021, à 18:04)

Hors ligne

#48 Le 11/12/2021, à 18:06

iznobe

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

oui , mais a ma connaissance , personne n' est devin sur ce forum ( et tu n' es pas seul ) , du coup en donnant le prompt , pas de soucis , on sait exactement comment regair dans tous les cas , et pour tous les utilisateurs du forum .

Dernière modification par iznobe (Le 11/12/2021, à 18:08)


retour utilisable de commande
MSI Z490A-pro , i7 10700 , 32 GB RAM . avec Ubuntu , LM et W$10

Hors ligne

#49 Le 27/12/2021, à 18:46

bzh-utilisateur

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

Bonjour à tous, et bonne fêtes de fin d'années.

Mes problèmes ne sont toujours pas résolus. Je ne peux plus mettre à jour ou installer des applications sur mon Ubuntu. Je vous met les retours de mes commandes et j'espère que vous pourrez m'aider à trouver une solution:

guillaume@guillaume-pc:~$ sudo apt update
Atteint :1 http://security.ubuntu.com/ubuntu focal-security InRelease          
Atteint :2 http://fr.archive.ubuntu.com/ubuntu focal InRelease                 
Atteint :3 http://fr.archive.ubuntu.com/ubuntu focal-updates InRelease         
Atteint :4 http://fr.archive.ubuntu.com/ubuntu focal-backports InRelease       
Atteint :5 https://deb.opera.com/opera-stable stable InRelease                 
Atteint :6 https://download.virtualbox.org/virtualbox/debian focal InRelease   
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
1 paquet peut être mis à jour. Exécutez « apt list --upgradable » pour le voir.
guillaume@guillaume-pc:~$ sudo apt full-upgrade
E: dpkg a été interrompu. Il est nécessaire d'utiliser « sudo dpkg --configure -a » pour corriger le problème.
guillaume@guillaume-pc:~$ sudo dpkg --configure -a
Paramétrage de linux-firmware (1.187.23) ...
update-initramfs: Generating /boot/initrd.img-5.11.0-41-generic
I: The initramfs will attempt to resume from /dev/sdc2
I: (UUID=905ab598-1053-4e92-9f2b-c6fbb2258aa4)
I: Set the RESUME variable to override this.
update-initramfs: Generating /boot/initrd.img-5.11.0-40-generic
I: The initramfs will attempt to resume from /dev/sdc2
I: (UUID=905ab598-1053-4e92-9f2b-c6fbb2258aa4)
I: Set the RESUME variable to override this.
^Cdpkg: erreur de traitement du paquet linux-firmware (--configure) :
 installed linux-firmware package post-installation script subprocess was interrupted
Paramétrage de libssl1.1:amd64 (1.1.1f-1ubuntu2.10) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: erreur de traitement du paquet libssl1.1:amd64 (--configure) :
 installed libssl1.1:amd64 package post-installation script subprocess returned error exit status 1
Paramétrage de firefox-locale-en (95.0.1+build2-0ubuntu0.20.04.1) ...
Paramétrage de linux-hwe-5.11-headers-5.11.0-43 (5.11.0-43.47~20.04.2) ...
Paramétrage de libmm-glib0:amd64 (1.16.6-2~20.04.1) ...
Paramétrage de ubuntu-advantage-tools (27.4.2~20.04.1) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: erreur de traitement du paquet ubuntu-advantage-tools (--configure) :
 installed ubuntu-advantage-tools package post-installation script subprocess returned error exit status 1
Paramétrage de modemmanager (1.16.6-2~20.04.1) ...
Paramétrage de xserver-common (2:1.20.13-1ubuntu1~20.04.2) ...
Paramétrage de xwayland (2:1.20.13-1ubuntu1~20.04.2) ...
dpkg: des problèmes de dépendances empêchent la configuration de linux-image-generic-hwe-20.04 :
 linux-image-generic-hwe-20.04 dépend de linux-firmware ; cependant :
 Le paquet linux-firmware n'est pas encore configuré.

dpkg: erreur de traitement du paquet linux-image-generic-hwe-20.04 (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de openssl :
 openssl dépend de libssl1.1 (>= 1.1.1) ; cependant :
 Le paquet libssl1.1:amd64 n'est pas encore configuré.

dpkg: erreur de traitement du paquet openssl (--configure) :
 problèmes de dépendances - laissé non configuré
Paramétrage de xserver-xorg-legacy (2:1.20.13-1ubuntu1~20.04.2) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: erreur de traitement du paquet xserver-xorg-legacy (--configure) :
 installed xserver-xorg-legacy package post-installation script subprocess returned error exit status 1
dpkg: des problèmes de dépendances empêchent la configuration de linux-headers-5.11.0-43-generic :
 linux-headers-5.11.0-43-generic dépend de libssl1.1 (>= 1.1.0) ; cependant :
 Le paquet libssl1.1:amd64 n'est pas encore configuré.

dpkg: erreur de traitement du paquet linux-headers-5.11.0-43-generic (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de libpython3.8-minimal:amd64 :
 libpython3.8-minimal:amd64 dépend de libssl1.1 (>= 1.1.1) ; cependant :
 Le paquet libssl1.1:amd64 n'est pas encore configuré.

dpkg: erreur de traitement du paquet libpython3.8-minimal:amd64 (--configure) :
 problèmes de dépendances - laissé non configuré
Paramétrage de xserver-xorg-core (2:1.20.13-1ubuntu1~20.04.2) ...
dpkg: des problèmes de dépendances empêchent la configuration de linux-headers-generic-hwe-20.04 :
 linux-headers-generic-hwe-20.04 dépend de linux-headers-5.11.0-43-generic ; cependant :
 Le paquet linux-headers-5.11.0-43-generic n'est pas encore configuré.

dpkg: erreur de traitement du paquet linux-headers-generic-hwe-20.04 (--configure) :
 problèmes de dépendances - laissé non configuré
Paramétrage de xserver-xephyr (2:1.20.13-1ubuntu1~20.04.2) ...
dpkg: des problèmes de dépendances empêchent la configuration de python3.8-minimal :
 python3.8-minimal dépend de libpython3.8-minimal (= 3.8.10-0ubuntu1~20.04.2) ; cependant :
 Le paquet libpython3.8-minimal:amd64 n'est pas encore configuré.

dpkg: erreur de traitement du paquet python3.8-minimal (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de linux-generic-hwe-20.04 :
 linux-generic-hwe-20.04 dépend de linux-image-generic-hwe-20.04 (= 5.11.0.43.47~20.04.21) ; cependant :
 Le paquet linux-image-generic-hwe-20.04 n'est pas encore configuré.
 linux-generic-hwe-20.04 dépend de linux-headers-generic-hwe-20.04 (= 5.11.0.43.47~20.04.21) ; cependant :
 Le paquet linux-headers-generic-hwe-20.04 n'est pas encore configuré.

dpkg: erreur de traitement du paquet linux-generic-hwe-20.04 (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de libpython3.8-stdlib:amd64 :
 libpython3.8-stdlib:amd64 dépend de libpython3.8-minimal (= 3.8.10-0ubuntu1~20.04.2) ; cependant :
 Le paquet libpython3.8-minimal:amd64 n'est pas encore configuré.

dpkg: erreur de traitement du paquet libpython3.8-stdlib:amd64 (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de python3.8 :
 python3.8 dépend de python3.8-minimal (= 3.8.10-0ubuntu1~20.04.2) ; cependant :
 Le paquet python3.8-minimal n'est pas encore configuré.
 python3.8 dépend de libpython3.8-stdlib (= 3.8.10-0ubuntu1~20.04.2) ; cependant :
 Le paquet libpython3.8-stdlib:amd64 n'est pas encore configuré.

dpkg: erreur de traitement du paquet python3.8 (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de libpython3.8:amd64 :
 libpython3.8:amd64 dépend de libpython3.8-stdlib (= 3.8.10-0ubuntu1~20.04.2) ; cependant :
 Le paquet libpython3.8-stdlib:amd64 n'est pas encore configuré.

dpkg: erreur de traitement du paquet libpython3.8:amd64 (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de samba-libs:amd64 :
 samba-libs:amd64 dépend de libpython3.8 (>= 3.8.2) ; cependant :
 Le paquet libpython3.8:amd64 n'est pas encore configuré.

dpkg: erreur de traitement du paquet samba-libs:amd64 (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de libsmbclient:amd64 :
 libsmbclient:amd64 dépend de samba-libs (= 2:4.13.14+dfsg-0ubuntu0.20.04.4) ; cependant :
 Le paquet samba-libs:amd64 n'est pas encore configuré.

dpkg: erreur de traitement du paquet libsmbclient:amd64 (--configure) :
 problèmes de dépendances - laissé non configuré
Paramétrage de linux-image-5.11.0-43-generic (5.11.0-43.47~20.04.2) ...
^Cdpkg: erreur de traitement du paquet linux-image-5.11.0-43-generic (--configure) :
 installed linux-image-5.11.0-43-generic package post-installation script subprocess was interrupted
dpkg: des problèmes de dépendances empêchent la configuration de linux-modules-extra-5.11.0-43-generic :
 linux-modules-extra-5.11.0-43-generic dépend de linux-image-5.11.0-43-generic | linux-image-unsigned-5.11.0-43-generic ; cependant :
 Le paquet linux-image-5.11.0-43-generic n'est pas encore configuré.
  Le paquet linux-image-unsigned-5.11.0-43-generic n'est pas installé.

dpkg: erreur de traitement du paquet linux-modules-extra-5.11.0-43-generic (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de linux-modules-5.11.0-43-generic :
 linux-modules-5.11.0-43-generic dépend de linux-image-5.11.0-43-generic | linux-image-unsigned-5.11.0-43-generic ; cependant :
 Le paquet linux-image-5.11.0-43-generic n'est pas encore configuré.
  Le paquet linux-image-unsigned-5.11.0-43-generic n'est pas installé.

dpkg: erreur de traitement du paquet linux-modules-5.11.0-43-generic (--configure) :
 problèmes de dépendances - laissé non configuré
Traitement des actions différées (« triggers ») pour dbus (1.12.16-2ubuntu2.1) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.24-1ubuntu3) ...
Traitement des actions différées (« triggers ») pour mime-support (3.64ubuntu1) ...
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.17-2) ...
^Cdpkg: erreur de traitement du paquet hicolor-icon-theme (--configure) :
 installed hicolor-icon-theme package post-installation script subprocess was interrupted
Traitement des actions différées (« triggers ») pour gnome-menus (3.36.0-1ubuntu1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.31-0ubuntu9.2) ...
^Cdpkg: erreur de traitement du paquet libc-bin (--configure) :
 installed libc-bin package post-installation script subprocess was interrupted
Traitement des actions différées (« triggers ») pour man-db (2.9.1-1) ...
^Cdpkg: erreur de traitement du paquet man-db (--configure) :
 installed man-db package post-installation script subprocess was interrupted
Des erreurs ont été rencontrées pendant l'exécution :
 linux-firmware
 libssl1.1:amd64
 ubuntu-advantage-tools
 linux-image-generic-hwe-20.04
 openssl
 xserver-xorg-legacy
 linux-headers-5.11.0-43-generic
 libpython3.8-minimal:amd64
 linux-headers-generic-hwe-20.04
 python3.8-minimal
 linux-generic-hwe-20.04
 libpython3.8-stdlib:amd64
 python3.8
 libpython3.8:amd64
 samba-libs:amd64
 libsmbclient:amd64
 linux-image-5.11.0-43-generic
 linux-modules-extra-5.11.0-43-generic
 linux-modules-5.11.0-43-generic
 hicolor-icon-theme
 libc-bin
 man-db
guillaume@guillaume-pc:~$ 

Hors ligne

#50 Le 27/12/2021, à 18:49

bzh-utilisateur

Re : Problème de mises à jour avec dpkg/Opera [RESOLU]

Pour informations sur les commandes ci-dessus, j'ai effectuer la commande

sudo dpkg --configure -a

recommandé dans le retour de la commande précédente, or, quand j'ai vu (ou cru) que la commande tournais en rond et surtout n'avançais pas, j'ai fait un ^C.
Ai-je bien fait ou aurais-je dû laisser tourner la commande ?

Hors ligne